<div class="col-lg-12 animated fadeInRight list-blocked-devices">
    <div class="input-group">
    </div>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                       <div class="row">
                            <div class="col-sm-12">
                                <h5><strong>Manage Blocked Devices</strong></h5>
                            </div>
                        </div>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="text" (keydown.enter)="getBlockedDevices(item.value)" name="deviceId" #item class="form-control search" [(ngModel)]="searchValue" placeholder="Search For Device Id"
                                    />
                                </div>
                                <div class="col-sm-8 text-right">
                                        <button type="get" (click)="getBlockedDevices(item.value);" class="btn btn-sm btn-primary">
                                                <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                    <button type="submit" class="btn btn-primary btn-sm" [routerLink]="['/admin/fleet/blocked-devices/add']">Add new record</button>
                                    <button class="btn btn-sm btn-primary" (click)="refresh()"><i aria-hidden="true" class="fa fa-refresh" ></i>
                                                 Reset
                                                </button>
                                 </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" class="sorting" (click)="sort('company')">Company
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='company' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='company' }"></i>
                                       </span>
                                            </th>
                                            <th scope="col" class="sorting" (click)="sort('deviceId')">Device Id
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='deviceId' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='deviceId' }"></i>
                                       </span>
                                            </th>
                                            <th scope="col" (click)="sort('blocking_notice')">Blocking Notice
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='blocking_notice' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='blocking_notice' }"></i>
                                       </span>
                                            </th>
                                            <th scope="col" (click)="sort('created_at')">Date
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                       </span>
                                            </th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    <span *ngIf="searchSubmit">
                                              <img src="assets/img/loader.gif" class="loader-img" alt="loader"/>
                                       </span>
                                        <tr *ngFor="let blockedDevices of blockedDeviceData">
                                            <td>{{blockedDevices.company}}</td>
                                            <td>{{blockedDevices.deviceId ? blockedDevices.deviceId._id: ''}}</td>
                                            <td>{{blockedDevices.blocking_notice}}</td>
                                            <td>{{blockedDevices.updated_at | date}}</td>
                                            <td>
                                              <span matTooltip="Edit"><a class="fa fa-edit text-navy" [routerLink]="['/admin/fleet/blocked-devices/edit', blockedDevices._id]">
                                                </a>
                                              </span>&nbsp;&nbsp;&nbsp;
                                            <span matTooltip="Delete">
                                                <a (click)="openDialog(blockedDevices._id)"><i aria-hidden="true" class="fa fa-trash text-navy"></i> </a>
                                              </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div style="text-align:center; margin-left:125px;" *ngIf="blockedDeviceLength==0">
                                No records found
                            </div>
                            <br>
                            <div class="container-fluid" *ngIf="blockedDeviceLength > 0" ng-show="view_data.length!=0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div *ngIf="del">
                                            <ngb-pagination [collectionSize]="blockedDeviceLength" [page]="1" [pageSize]="pageSize" (pageChange)="pagingAgent($event)"
                                              aria-label="Default pagination" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                         <div *ngIf="!del">
                                            <ngb-pagination [collectionSize]="blockedDeviceLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>